#ifndef CMWFactoryIOAnalog_H
#define CMWFactoryIOAnalog_H

#include <QWidget>
#include "cmwidget.h"
#include <QTableWidgetItem>
namespace Ui {class CMWFactoryIOAnalog;};

class CMWFactoryIOAnalog : public CMWidget
{
	Q_OBJECT

public:
	CMWFactoryIOAnalog(E_MotorDriver_ID eMotorDriver, QWidget *parent = 0);
	~CMWFactoryIOAnalog();
	virtual void MFresh();
	virtual void MApply();
	virtual void MTimeFresh();
	void MFresh_IOList();
	void MApply_IOList();
	void MInit();
private:
	int m_iCurLineCount;
	E_MotorDriver_ID m_eMotorDriver;
private:
	Ui::CMWFactoryIOAnalog *ui;
};

#endif // CMWFACTORYLASEROFFSETADJUST_H
